//////////////////////////////////////////////////////////////////////////////
//
// Project     : a DOS full-screen editor using the object-oriented
//               facilities of C++.
//
// File name   : main.cpp
//
// Classes     : none
//
// Description : main function.  Creates an editor object and runs it.
//
// Copyright   : (c) 1991, 1993 Ian Craggs
//
//////////////////////////////////////////////////////////////////////////////
          
#include "Editor.h"

// Change stack size if necessary with this statement.
// extern unsigned _stklen = 8192;

int main(int argc, char *argv[])
{
  char *fn;
  if (argc < 2)
    fn = "unnamed";
  else
    fn = argv[1];

  Editors* AnEditor = new Editors;

  AnEditor->Run(fn);

  delete AnEditor;   
          
  return 0;
} // end Main
